#ifndef KEYTRANS_INCLUDED
#define KEYTRANS_INCLUDED

/* Copyright (C) 2002, David W Noon.  All rights reserved.      */

/* You may use this code freely. You may also distribute it     */
/* freely, provided the original copyright caveat is preserved  */
/* and no charge is levied beyond the price of its distribution */
/* medium.                                                      */

/* A structure that defines an application program to be hooked. */
typedef struct
{
   ULONG  CRC_value;
   ULONG  No_translations;
   ULONG  Translations[15]; /* Maximum of 15 key translations per program. */
   CHAR   Executable_name[CCHMAXPATH];
} PGMTRANS, * PPGMTRANS;

/* A structure that defines input and output keystrokes out in WM_CHAR format. */
typedef struct
{
   CHRMSG key_in;
   CHRMSG key_out;
} KEYTRANS, * PKEYTRANS;

#ifndef FULL_PATH_PROGRAM_NAMES
#define FULL_PATH_PROGRAM_NAMES 1
#endif

#ifndef CASE_SENSITIVE_PROGRAM_NAMES
#define CASE_SENSITIVE_PROGRAM_NAMES 0
#endif

#endif
